/*
 * Copyright (C), 2020-2024, KylinSoft. Co., Ltd.
 * @Author: zhangfan
 * @FileName: kyee_verify.h
 * @Date: 2024-06-14 14:01:20
 * @Version: v1.0
 * @LastEditors: zhangfan
 * @LastEditTime: 2024-06-14 15:56:17
 * @Description: KYEE验证相关的头文件，涉及验证操作的接口
 * @History: Reference changelog
 * @Function List: 
 */
#ifndef __KYEE_VERIFY_H__
#define __KYEE_VERIFY_H__
#include <stdio.h>
#define TEMP_CERT   "/tmp/_keylin.crt"
#define dat_path    "/tmp/_Firmware.dat"
#define KYLIN_ROOTCA_FILE   "/usr/share/ca-certificates/kylin/RootCA.pem"
#define KYLIN_FIRMWARECA_FILE  "/usr/share/ca-certificates/kylin/FirmwareCA.pem"
#define KYLIN_CRL_FILE      "/usr/share/ca-certificates/kylin/KylinCRL.crl"

#ifdef __cplusplus
extern "C" {
#endif

// 固件验证
// 返回值：0成功，其他值失败
int KYEE_VerifyFirmware(char *firmwareFile);
int KYEE_DeleteSignature(char *firmwareFile);
#ifdef __cplusplus
}
#endif

#endif