/*
 * Copyright (C), 2020-2024, KylinSoft. Co., Ltd.
 * @Author: zhangfan
 * @FileName: tpm_client.h
 * @Date: 2024-06-14 14:01:20
 * @Version: v1.0
 * @LastEditors: zhangfan
 * @LastEditTime: 2024-06-14 15:57:14
 * @Description: TPM客户端相关的头文件
 * @History: Reference changelog
 * @Function List: 
 */
#ifndef __TPM_CLIENT_H__
#define __TPM_CLIENT_H__

#include <tss2/tss2_esys.h>

struct TPM_Ctx {
    ESYS_CONTEXT* esys_context;
};

#ifdef __cplusplus
extern "C" {
#endif

TSS2_RC initTpmContext(struct TPM_Ctx* ctx);

void finalizeTpmContext(struct TPM_Ctx* ctx);

TSS2_RC initTcm2Context();

void finalizeTcm2Context(struct TPM_Ctx* ctx);

#ifdef __cplusplus
}
#endif



#endif //__TPM_CLIENT_H__ss
